//
//  NSDrawer+VRDrawerAdditions.m
//  Vermont Recipes 2.0.0
//
//  Created by Bill Cheeseman on 2009-10-09.
//  Copyright 2000-2009 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 7


#import "NSDrawer+VRDrawerAdditions.h"


@implementation NSDrawer (VRDrawerAdditions)

- (CGFloat)VR_drawerMaxWidth { // ADDED IN RECIPE 7
	// Returns the maximum width of a left or right drawer, including the content view and the border. The drawer's maximum content view width should be set before calling this method. If Apple radically changes the implementation of drawers in a future release of Mac OS X, this method may return 0.0.
	NSWindow *drawerWindow = [[self contentView] window];
	if (drawerWindow && [drawerWindow isKindOfClass:[NSWindow class]]) return [drawerWindow maxSize].width;
	return 0.0;
}

@end
