//
//  DiaryDocument+VRAppleScriptAdditions.h
//  Vermont Recipes 2.00
//
//  Created by Bill Cheeseman on 2010-01-05.
//  Copyright 2000-2010 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 12

#import <Cocoa/Cocoa.h>
#import "DiaryDocument.h" // ADDED IN RECIPE 12

@class DiaryEntry;

@interface DiaryDocument (VRAppleScriptAdditions) // MODIFIED IN RECIPE 12

#pragma mark ACCESSOR METHODS

- (void)setOrderedEntries:(NSMutableArray *)array; // ADDED IN RECIPE 12
- (NSMutableArray *)orderedEntries; // ADDED IN RECIPE 12

- (DiaryEntry *)currentDiaryEntry; // ADDED IN RECIPE 12

- (void)setDocumentText:(id)text; // ADDED IN RECIPE 12
- (NSTextStorage *)documentText; // ADDED IN RECIPE 12

#pragma mark APPLESCRIPT SUPPORT

- (NSMutableArray *)makeOrderedEntries; // ADDED IN RECIPE 12
- (void)invalidateOrderedEntries; // ADDED IN RECIPE 12

- (void)updateDocumentInRange:(NSRange)range withText:(id)text undoActionName:(NSString *)actionName; // ADDED IN RECIPE 12

- (void)insertObject:(id)entry inOrderedEntriesAtIndex:(NSUInteger)index; // ADDED IN RECIPE 12

@end
