//
//  DiaryDocument+VRAppleScriptAdditions.h
//  Vermont Recipes 2.00
//
//  Created by Bill Cheeseman on 2010-01-05.
//  Copyright 2000-2010 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 12

#import <Cocoa/Cocoa.h>
#import "DiaryDocument.h" // ADDED IN RECIPE 12

@class DiaryEntry;

@interface DiaryDocument (VRAppleScriptAdditions) // MODIFIED IN RECIPE 12

#pragma mark ACCESSOR METHODS

/* REMOVED IN RECIPE 12 FOR RECIPES 14 ALTERNATE:
- (void)setOrderedEntries:(NSMutableArray *)array; // ADDED IN RECIPE 12
- (NSMutableArray *)orderedEntries; // ADDED IN RECIPE 12
*/

- (DiaryEntry *)currentDiaryEntry; // ADDED IN RECIPE 12

- (void)setDocumentText:(id)text; // ADDED IN RECIPE 12
- (NSTextStorage *)documentText; // ADDED IN RECIPE 12

#pragma mark APPLESCRIPT SUPPORT

/* REMOVED IN RECIPE 12 FOR RECIPES 14 ALTERNATE:
- (NSMutableArray *)makeOrderedEntries; // ADDED IN RECIPE 12
- (void)invalidateOrderedEntries; // ADDED IN RECIPE 12
*/

- (void)updateDocumentInRange:(NSRange)range withText:(id)text undoActionName:(NSString *)actionName; // ADDED IN RECIPE 12

/* REMOVED IN RECIPE 12 FOR RECIPES 14 ALTERNATE:
- (void)insertInOrderedEntries:(id)entry; // ADDED IN RECIPE 12
*/

/* ADDED IN RECIPE 12 FOR RECIPE 14 ALTERNATE: */
#pragma mark KVC METHODS SUPPORTING APPLESCRIPT ELEMENTS
#pragma mark orderedEntries

- (NSUInteger)countOfOrderedEntries; // ADDED IN RECIPE 12
- (id)objectInOrderedEntriesAtIndex:(NSUInteger)index; // ADDED IN RECIPE 12
- (void)insertObject:(id)entry inOrderedEntriesAtIndex:(NSUInteger)index; // ADDED IN RECIPE 12
- (void)removeObjectFromOrderedEntriesAtIndex:(NSUInteger)index; // ADDED IN RECIPE 12
//

@end
