//
//  VRApplicationController+VRAppleScriptAdditions.m
//  Vermont Recipes 2.0.0
//
//  Created by Bill Cheeseman on 2009-12-22.
//  Copyright 2000-2009 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 12

#import "VRApplicationController+VRAppleScriptAdditions.h"
#import "AppleScriptLog.h" // ADDED IN RECIPE 12
#import "DiaryDocument.h" // ADDED IN RECIPE 12
#import "VRDocumentController.h" // ADDED IN RECIPE 12

#define APPLESCRIPT_TERMINOLOGY_VERSION	1 // ADDED IN RECIPE 12

@implementation VRApplicationController (VRAppleScriptAdditions) // MODIFIED IN RECIPE 12

#pragma mark ACCESSOR METHODS

- (NSNumber *)terminologyVersion { // ADDED IN RECIPE 12
	// For AppleScript 'get terminology version of application "Vermont Recipes"'.
	SLOG(@"terminologyVersion: %@", [NSNumber numberWithInt:APPLESCRIPT_TERMINOLOGY_VERSION]);
	return [NSNumber numberWithInt:APPLESCRIPT_TERMINOLOGY_VERSION];
}

- (DiaryDocument *)currentDiaryDocument { // ADDED IN RECIPE 12
	// For AppleScript 'get current diary document of application "Vermont Recipes"'.
	SLOG(@"currentDiaryDocument: %@", [[NSDocumentController sharedDocumentController] diaryDocument]);
	return (DiaryDocument *)[[NSDocumentController sharedDocumentController] diaryDocument];
}

@end
