//
//  VRDocumentController.m
//  Vermont Recipes 2.0.0
//
//  Created by Bill Cheeseman on 2009-06-06.
//  Copyright 2000-2009 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 3

#import "VRDocumentController.h"
#import "DiaryDocument.h" // added in recipe 3

#define DIARY_DOCUMENT_IDENTIFIER	@"com.quecheesoftware.vermontrecipes.diary" // ADDED IN RECIPE 3


@implementation VRDocumentController

- (IBAction)newDiaryDocument:(id)sender { // ADDED IN RECIPE 3
	DiaryDocument *diary = [self makeUntitledDocumentOfType:DIARY_DOCUMENT_IDENTIFIER error:NULL];
	if (diary != nil) {
		[self addDocument:diary];
		[diary makeWindowControllers];
		[diary showWindows];
	}
}

@end
