//
//  VRApplicationController.m
//  Vermont Recipes 2.0.0
//
//  Created by Bill Cheeseman on 2009-07-10.
//  Copyright 2000-2009 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 5

#import "VRApplicationController.h"
#import "VRDocumentController.h" // ADDED IN RECIPE 5
#import "DiaryWindowController.h" // ADDED IN RECIPE 5


@implementation VRApplicationController

- (IBAction)showReadMe:(id)sender { // ADDED IN RECIPE 5
	NSString *path = [[NSBundle mainBundle] pathForResource:@"Read Me" ofType:@"rtf"];
	if ((path == nil) || ![[NSWorkspace sharedWorkspace] openFile:path]) {
		NSBeep();
	}
}

- (IBAction)findTag:(id)sender { // ADDED IN RECIPE 5
	[[VRDocumentController sharedDocumentController] newDiaryDocument:sender];
	
	NSWindow *keyWindow = [NSApp keyWindow];
	if ([[keyWindow windowController] isKindOfClass:[DiaryWindowController class]]) {
		DiaryWindowController *keyWindowController = [keyWindow windowController];
		[keyWindowController findTag:sender];
	} else {
		NSBeep();
	}
}

@end
