//
//  RecipeInfoDrawer.m
//  Vermont Recipes 2.0.0
//
//  Created by Bill Cheeseman on 2009-05-24.
//  Copyright 2000-2009 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 8

#import "RecipeInfoDrawer.h"


@implementation RecipeInfoDrawer

#pragma mark USER INTERFACE VALIDATION

- (BOOL)validateUserInterfaceItem:(id <NSValidatedUserInterfaceItem>)item { // ADDED IN RECIPE 8
	// Protocol method per NSUserInterfaceValidations protocol. Called automatically by -[NSMenu validateMenuItem:].
	SEL action = [item action];
	if ([(id)item isKindOfClass:[NSMenuItem class]] && (action == @selector(toggle:))) {
		if ([self state] == NSDrawerClosedState) {
			[(NSMenuItem *)item setTitle:NSLocalizedString(@"Show Recipe Info", @"menu item title for Show Recipe Info")];
		} else {
			[(NSMenuItem *)item setTitle:NSLocalizedString(@"Hide Recipe Info", @"menu item title for Hide Recipe Info")];
		}
	}
	return YES;
}

@end
