//
//  ValidationProtocols.h
//  Vermont Recipes 2.0.0

//  Created by Bill Cheeseman on 2009-12-05.
//  Copyright 2000-2009 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 10

#import <Cocoa/Cocoa.h>


@protocol VRValidatedControl <NSValidatedUserInterfaceItem> // ADDED IN RECIPE 4
@required
- (void)validate;
@end


#pragma mark -

@protocol VRControlValidations // ADDED IN RECIPE 4
@optional
- (BOOL)validateControl:(id <VRValidatedControl>)item;
@end
