//
//  NSMutableString+VRMutableStringAdditions.h
//  Vermont Recipes 2.0.0
//
//  Created by Bill Cheeseman on 2010-02-04.
//  Copyright 2000-2010 Bill Cheeseman. All rights reserved.
//
//  CREATED IN RECIPE 12

#import "NSMutableString+VRMutableStringAdditions.h"


@implementation NSMutableString (VRMutableStringAdditions)

- (void)VR_rotateStringBy13:(NSMutableString *)string { // ADDED IN RECIPE 12
	// Apply the ROT13 algorithm to string to encrypt it. Call this method again on the encrypted string to decrypt it.
	static NSString *alphabet = @"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
	static NSString *rotation = @"NOPQRSTUVWXYZABCDEFGHIJKLMnopqrstuvwxyzabcdefghijklm";
	NSUInteger index;
	for (index = 0; index < [string length]; index++) {
		NSRange indexRange = NSMakeRange(index, 1);
		NSString *indexString = [string substringWithRange:indexRange];
		NSRange lookupRange = [alphabet rangeOfString:indexString];
		if (lookupRange.location != NSNotFound) {
			NSString *lookupString = [rotation substringWithRange:lookupRange];
			[string replaceCharactersInRange:indexRange withString:lookupString];
		}
	}
}

@end
